<?php
/*************************************************************************************/
/*                                                                                   */
/*      Thelia	                                                            		 */
/*                                                                                   */
/*      Copyright (c) Octolys Development		                                     */
/*		email : thelia@octolys.fr		        	                             	 */
/*      web : http://www.octolys.fr						   							 */
/*                                                                                   */
/*      This program is free software; you can redistribute it and/or modify         */
/*      it under the terms of the GNU General Public License as published by         */
/*      the Free Software Foundation; either version 2 of the License, or            */
/*      (at your option) any later version.                                          */
/*                                                                                   */
/*      This program is distributed in the hope that it will be useful,              */
/*      but WITHOUT ANY WARRANTY; without even the implied warranty of               */
/*      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                */
/*      GNU General Public License for more details.                                 */
/*                                                                                   */
/*      You should have received a copy of the GNU General Public License            */
/*      along with this program; if not, write to the Free Software                  */
/*      Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA    */
/*                                                                                   */
/*************************************************************************************/
?>
<?php

	include_once(realpath(dirname(__FILE__)) . "/../../../classes/PluginsTransports.class.php");
	
	class Chronorelais extends PluginsTransports{

        var $id;
        var $commande;
        var $point;
        var $nom;
        var $adresse1;
        var $adresse2;
        var $adresse3;
        var $cpostal;
        var $ville;

        var $table="chronorelais_commande";
        var $bddvars = array("id", "commande", "point", "nom", "adresse1", "adresse2", "adresse3", "cpostal", "ville");


		function Chronorelais(){
			$this->PluginsTransports("chronorelais");
		}
		
		function init(){
			$this->ajout_desc("Chronorelais", "Chronorelais", "", 1);

			$cnx = new Cnx();
			$query = "CREATE TABLE `chronorelais_commande` (
          	   	`id` INT NOT NULL AUTO_INCREMENT PRIMARY KEY ,
         	    `commande` INT NOT NULL ,
         	    `point` TEXT NOT NULL ,
         	    `nom` TEXT NOT NULL ,
         	    `adresse1` TEXT NOT NULL ,
         	    `adresse2` TEXT NOT NULL,
         	    `adresse3` TEXT NOT NULL,
         	    `cpostal` TEXT NOT NULL,
         	    `ville` TEXT NOT NULL         	    
         	    )";
         	    
			$resul = mysql_query($query, $cnx->link);						
		}		
		
		function calcule(){
			return 22.50;
		
		}
               
		function charger($commande){
            return $this->getVars("select * from $this->table where commande=\"$commande\"");
		}
		
		
        function action(){
        	global $res;
        	        	
        	if($_REQUEST['chronorelais_point'] && $_REQUEST['action'] == "transport")
        		$_SESSION['chronorelais_point'] = $_REQUEST['chronorelais_point'];
        	
        	if($_REQUEST['chronorelais_point'])        	
        	      $res = str_replace("#CHRONORELAIS_POINT", $_REQUEST['chronorelais_point'], $res);

        	$res = str_replace("#CHRONORELAIS_POINT", $_SESSION['chronorelais_point'], $res);
        	$res = str_replace("#CHRONORELAIS_POINT_CHOIX", $_SESSION['chronorelais_point'], $res);
        		
        }
        
        
        function boucle($texte, $args){
             // rcupration des arguments
             $cpostal = lireTag($args, "cpostal");
             $id = lireTag($args, "id");

             $search ="";
             $res="";

             // prparation de la requte
             if($cpostal == "" && $id == "")
             	return "";

			$wsdl = "http://wsshipping.chronopost.fr/soap.point.relais/services/ServiceRechercheBt?wsdl";
			$client = new soapclient($wsdl);
             	
			if($cpostal != "")
				$result = $client->rechercheBtParCodeproduitEtCodepostalEtDate('',$cpostal,'2007-07-27T21:32:52');
          	 else if($id != "")
				$result = $client->rechercheBtParIdChronopostA2Pas($id);
          	  	
          	for($i = 0; $i < count($result); $i++){
                $temp = str_replace("#ADRESSE1", $result[$i]->adresse1, $texte);
                $temp = str_replace("#ADRESSE2", $result[$i]->adresse2, $temp);
                $temp = str_replace("#ADRESSE3", $result[$i]->adresse3, $temp);
                $temp = str_replace("#CODEPOSTAL", $result[$i]->codePostal, $temp);
                $temp = str_replace("#NOM", $result[$i]->nomEnseigne, $temp);
                $temp = str_replace("#DATEARRIVECOLIS", $result[$i]->dateArriveColis, $temp);
                $temp = str_replace("#HORAIRESOUVERTUREDIMANCHE", $result[$i]->horairesOuvertureDimanche, $temp);
                $temp = str_replace("#HORAIRESOUVERTURELUNDI", $result[$i]->horairesOuvertureLundi, $temp);
                $temp = str_replace("#HORAIRESOUVERTUREMARDI", $result[$i]->horairesOuvertureMardi, $temp);
                $temp = str_replace("#HORAIRESOUVERTUREMERCREDI", $result[$i]->horairesOuvertureMercredi, $temp);
                $temp = str_replace("#HORAIRESOUVERTUREJEUDI", $result[$i]->horairesOuvertureJeudi, $temp);
                $temp = str_replace("#HORAIRESOUVERTUREVENDREDI", $result[$i]->horairesOuvertureVendredi, $temp);
                $temp = str_replace("#HORAIRESOUVERTURESAMEDI", $result[$i]->horairesOuvertureSamedi, $temp);
                $temp = str_replace("#ID", $result[$i]->identifiantChronopostPointA2PAS, $temp);
                $temp = str_replace("#LOCALITE", $result[$i]->localite, $temp);
                $res .= $temp;
            }

               return $res;
         } 	
	
		function aprescommande($commande){

			$modules = new Modules();
			$modules->charger("chronorelais");

			if(! isset($_SESSION['chronorelais_point']) || $modules->id != $commande->transport) return "";
			
			
			
			$wsdl = "http://wsshipping.chronopost.fr/soap.point.relais/services/ServiceRechercheBt?wsdl";
			$client = new soapclient($wsdl);
            $result = $client->rechercheBtParIdChronopostA2Pas($_SESSION['chronorelais_point']);
            
            $this->commande = $commande->id;
        	$this->point = $_SESSION['chronorelais_point'];
       		$this->nom = $result[0]->nomEnseigne;
       		$this->adresse1 = $result[0]->adresse1;
       		$this->adresse2 = $result[0]->adresse2;
       	 	$this->adresse3 = $result[0]->adresse3;
        	$this->cpostal = $result[0]->codePostal;
        	$this->ville = $result[0]->localite;
        	$this->add();
          	  			
		
		}
	}

?>
